package com.loganmagnan.invisibleplayers.runnables;

import com.loganmagnan.invisibleplayers.InvisiblePlayers;
import org.bukkit.entity.Creature;
import org.bukkit.entity.Entity;
import org.bukkit.entity.Player;

import java.util.List;

public class EntityRunnable {

    private InvisiblePlayers main = InvisiblePlayers.getInstance();

    public EntityRunnable() {
        this.main.getServer().getScheduler().runTaskTimerAsynchronously(this.main, () -> {
            for (Player player : this.main.getServer().getOnlinePlayers()) {
                List<Entity> nearbyEntities = player.getNearbyEntities(this.main.getMainConfig().getConfig().getInt("NEARBY-ENTITIES.RADIUS.X"), this.main.getMainConfig().getConfig().getInt("NEARBY-ENTITIES.RADIUS.Y"), this.main.getMainConfig().getConfig().getInt("NEARBY-ENTITIES.RADIUS.Z"));

                for (Entity entity : nearbyEntities) {
                    if (!(entity instanceof Creature)) {
                        continue;
                    }

                    Creature creature = (Creature) entity;
                    creature.setTarget(player);
                }
            }
        }, 0, 20);
    }
}